using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class MultiplasTabelas : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnExecutar_Click(object sender, EventArgs e)
    {
        using (NorthwindDataContext db = new NorthwindDataContext())
        {
            var produtos = from p in db.Products
                           from c in db.Categories
                           where c.CategoryID == p.CategoryID
                           select new {c.CategoryID,c.CategoryName,p.ProductID,p.ProductName, p.UnitPrice }; 
            GridView1.DataSource = produtos;
            GridView1.DataBind();
        }
    }
}